## rustc 1.39.0+dfsg1

=== debian/changelog ===
rustc (1.39.0+dfsg1-4+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 1.15.1+dfsg1-1~exp3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 15 Mar 2017 10:16:18 +0000]
  * Build for armv6.
  [changes introduced in 1.18.0+dfsg1-4+rpi1 by Peter Michael Green]
  * Disable testsuite.
  [changes introduced in 1.37.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Set DEB_BUILD_RUST_TYPE based on the compiler that is actually installed.

 -- Peter Micheal Green <plugwash@raspbian.org>  Sat, 28 Dec 2019 09:52:57 +0000

rustc (1.39.0+dfsg1-4) unstable; urgency=medium

  * Update to LLVM 9. (Closes: #946886)

 -- Ximin Luo <infinity0@debian.org>  Mon, 23 Dec 2019 03:21:02 +0000

rustc (1.39.0+dfsg1-3) unstable; urgency=medium

  * Fix mips patch involving mxgot for new RUSTFLAGS behaviour.

 -- Ximin Luo <infinity0@debian.org>  Fri, 06 Dec 2019 22:18:53 +0000

rustc (1.39.0+dfsg1-2) unstable; urgency=medium

  * Include reproducibility patch for compiler-builtins.
  * Use python3 instead of python to run rustbuild. (Closes: #938422)
  * Expand d-ignore-error-detail-diff.patch for unfixed upstream #53081.

 -- Ximin Luo <infinity0@debian.org>  Thu, 05 Dec 2019 22:51:41 +0000

rustc (1.39.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Sat, 30 Nov 2019 22:20:48 +0000

rustc (1.38.0+dfsg1-2) unstable; urgency=medium

  * Fix building with rustc 1.38.0
  * Fix building with cargo 0.40.0

 -- Ximin Luo <infinity0@debian.org>  Fri, 29 Nov 2019 00:05:16 +0000

rustc (1.38.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Tue, 26 Nov 2019 14:41:46 +0000
