=== debian/changelog ===
rustc (1.40.0+dfsg1-5+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 1.15.1+dfsg1-1~exp3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 15 Mar 2017 10:16:18 +0000]
  * Build for armv6.
  [changes introduced in 1.18.0+dfsg1-4+rpi1 by Peter Michael Green]
  * Disable testsuite.
  [changes introduced in 1.37.0+dfsg1-1+rpi1 by Peter Michael Green]
  * Set DEB_BUILD_RUST_TYPE based on the compiler that is actually installed.

 -- Raspbian forward porter <root@raspbian.org>  Sat, 11 Jan 2020 11:16:08 +0000

rustc (1.40.0+dfsg1-5) unstable; urgency=medium

  * More python 2 -> 3 fixes.
  * Allow 24 failing tests on riscv64.
  * Reenable debuginfo for rustc, not just libstd.
  * Reenable backtraces during tests.

 -- Ximin Luo <infinity0@debian.org>  Sun, 05 Jan 2020 13:35:46 +0000

rustc (1.40.0+dfsg1-4) unstable; urgency=medium

  * Experimental riscv64 support.

 -- Ximin Luo <infinity0@debian.org>  Sat, 04 Jan 2020 05:40:11 +0000

rustc (1.40.0+dfsg1-3) unstable; urgency=medium

  * Work around upstream #59264 again. :/

 -- Ximin Luo <infinity0@debian.org>  Fri, 03 Jan 2020 22:05:16 +0000

rustc (1.40.0+dfsg1-2) unstable; urgency=medium

  * Fix more internal build scripts so they use python3.
  * Don't add -L/usr/lib/llvm when cross-compiling. (Closes: #941783)

 -- Ximin Luo <infinity0@debian.org>  Fri, 03 Jan 2020 20:18:46 +0000

rustc (1.40.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable.
  * Ignore new test failing on arm that also fails in previous versions.

 -- Ximin Luo <infinity0@debian.org>  Sun, 29 Dec 2019 22:17:04 +0000

rustc (1.40.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Wed, 25 Dec 2019 00:09:24 +0000
