=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                dpkg-dev (>= 1.17.14),
                python3:native,
                cargo:native (>= 0.40.0)      <!pkg.rustc.dlstage0>,
-               rustc:native (>= 1.38.0+dfsg) <!pkg.rustc.dlstage0>,
-               rustc:native (<= 1.39.0++)    <!pkg.rustc.dlstage0>,
+               rustc:native (>= 1.39.0+dfsg) <!pkg.rustc.dlstage0>,
+               rustc:native (<= 1.40.0++)    <!pkg.rustc.dlstage0>,
                llvm-9-dev:native,
                llvm-9-tools:native,
                libllvm9 (>= 1:9.0.1-2),
@@ -49,7 +49,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libstd-rust-dev (= ${binary:Version}),
  gcc, libc-dev, binutils (>= 2.26)
-Recommends: cargo (>= 0.40.0~~), cargo (<< 0.41.0~~), rust-gdb | rust-lldb
+Recommends: cargo (>= 0.41.0~~), cargo (<< 0.42.0~~), rust-gdb | rust-lldb
 Suggests: rust-doc, rust-src, lld-9
 Replaces: libstd-rust-dev (<< 1.25.0+dfsg1-2~~)
 Breaks: libstd-rust-dev (<< 1.25.0+dfsg1-2~~)
@@ -66,7 +66,7 @@
  generic programming and meta-programming, in both static and dynamic
  styles.
 
-Package: libstd-rust-1.39
+Package: libstd-rust-1.40
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -91,7 +91,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libstd-rust-1.39 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libstd-rust-1.40 (= ${binary:Version})
 Description: Rust standard libraries - development files
  Rust is a curly-brace, block-structured expression language.  It
  visually resembles the C language family, but differs significantly
