=== debian/rules ===
--- 
+++ 
@@ -44,13 +44,7 @@
 
 RUSTBUILD = RUST_BACKTRACE=1 python3 src/bootstrap/bootstrap.py
 RUSTBUILD_FLAGS = --config debian/config.toml -vvv --on-fail env
-# TODO: This should simply be "$(RUSTBUILD) test" but unfortunately this causes
-# an insane blow up in the time it takes to run tests. See upstream #37477 for
-# details. Upstream worked around it in #38984 but in Debian we can't take
-# advantage of that work-around, because we want as much debuginfo as possible
-# (so we set debuginfo-lines = true, debuginfo-only-std = false) so we have to
-# work around it instead by disabling backtrace when running tests.
-RUSTBUILD_TEST = python3 src/bootstrap/bootstrap.py test
+RUSTBUILD_TEST = $(RUSTBUILD) test --no-fail-fast
 # To run a specific test, run something like:
 #   $ debian/rules override_dh_auto_test-arch \
 #     RUSTBUILD_TEST_FLAGS="src/test/run-make --test-args extern-fn-struct"
@@ -163,9 +157,9 @@
 	if $(DOWNLOAD_BOOTSTRAP) || [ $(HAVE_BINARY_TARBALL) != 0 ]; \
 	  then sed -i -e '/^rustc = /d' -e '/^cargo = /d' "$@"; fi
 # Work around low-memory (32-bit) architectures: https://github.com/rust-lang/rust/issues/45854
-#ifneq (,$(filter $(DEB_BUILD_ARCH), armhf armel mips mipsel powerpc powerpcspe))
+ifneq (,$(filter $(DEB_BUILD_ARCH), armhf armel mips mipsel powerpc powerpcspe))
 	sed -i -e 's/^debuginfo-level = .*/debuginfo-level = 0/g' "$@"
-#endif
+endif
 
 debian/rust-src.%: debian/rust-src.%.in
 	m4  -DRUST_LONG_VERSION="$(RUST_LONG_VERSION)" \
@@ -177,5 +171,12 @@
 	# fail the build if we accidentally vendored openssl, indicates we pulled in unnecessary dependencies
 	test ! -e vendor/openssl
 	# fail the build if we didn't update d-ignore-error-detail-diff.patch
-	! grep -Ri '\$SRC_DIR' src/test/
+	! grep -Ri '\$$SRC_DIR' src/test/
 	# fail the build if our version contains ~exp and we are not releasing to experimental
+	v="$(DEB_VERSION)"; test "$$v" = "$${v%~exp*}" -o "$(DEB_DISTRIBUTION)" = "experimental" -o "$(DEB_DISTRIBUTION)" = "UNRELEASED"
+	$(PRECONFIGURE_CHECK)
+	if [ -d stage0 ]; then mkdir -p build && ln -sfT ../stage0 build/cache; fi
+	# work around #842634
+	if test $$(grep "127.0.0.1\s*localhost" /etc/hosts | wc -l) -gt 1; then \
+	  debian/ensure-patch -N debian/patches/d-host-duplicates.patch; fi
+	# work around https://github.com/rust-lang/rust/issues/59264
